# Laracom

Test-driven development (TDD) made app. Start your online business using a modern framework.

[Website](https://laracom.net/) | [Admin Screenshots](https://github.com/jsdecena/laracom/wiki/Admin-Features) | [Shop Screenshots](https://github.com/jsdecena/laracom/wiki/Frontend-Features) | [Demo](https://shop.laracom.net)

[![Build Status](https://travis-ci.org/Laracommerce/laracom.svg?branch=master)](https://travis-ci.org/Laracommerce/laracom)
[![Scrutinizer Code Quality](https://scrutinizer-ci.com/g/Laracommerce/laracom/badges/quality-score.png?b=master)](https://scrutinizer-ci.com/g/Laracommerce/laracom/?branch=master)
[![Code Intelligence Status](https://scrutinizer-ci.com/g/Laracommerce/laracom/badges/code-intelligence.svg?b=master)](https://scrutinizer-ci.com/code-intelligence)
[![Test Coverage](https://img.shields.io/codecov/c/github/Laracommerce/laracom/master.svg)](https://codecov.io/github/Laracommerce/laracom?branch=master)
[![Fork Status](https://img.shields.io/github/forks/Laracommerce/laracom.svg)](https://github.com/Laracommerce/laracom)
[![Star Status](https://img.shields.io/github/stars/Laracommerce/laracom.svg)](https://github.com/Laracommerce/laracom)
[![Gitter chat](https://badges.gitter.im/gitterHQ/gitter.png)](https://gitter.im/larac0m/Lobby)

---

- [Overview](#overview)
- [Features](#features)

## Overview

**Laracom** is the Laravel FREE E-Commerce Software that come with

- Modern, fast and responsive! 

- Be ahead of everyone and sell more with a modern framework.

- Customizable product, sku, cover image, quantity, price and more ...

- Let your customers add items to their cart and checkout!

- **Paypal**, **Stripe** and **Bank Transfer** ready for payment processing

- **Shippo** multi carrier shipping integration ready

<a name="overview"></a>

## Features

- Products
    - Multiple product images
    - Configure SKU, name, description, price and quantity
    - Product list ordering and sorting
    - Enable / Disable products
    - Full searchable of products in admin and front store
    - Product image zooming ability

- Cart
    - Add any item to the cart
    - Customizable item in the cart

- Checkout
    - Ability to checkout the items and pay
    - Guest checkout

- Categories
    - Cover category image
    - Parent-child categories for layered navigation
    - Configure name, description and status

- Customer
    - See detailed customer information, addresses for your shipping
    - Enable / Disable customers

- Orders
    - See overview of your orders
    - Detailed view of the order comes with: list of items purchased, delivery address, chosen courier
    and payment status.
    - Downloadable invoice

- Payment
    - PayPal-ready shop!
    - Accept online payments in an instant
    - Accepts credit-card payments
    
- Couriers
    - Add couriers and configuration

- Employees
    - Add / edit employees that will manage your store
    - Set employee as admin and manage the shop
    - Get the admin credentials [here](https://github.com/Laracommerce/laracom/wiki/Installation#admin-dashboard-login-credentials)
    
- Mobile
    - Mobile responsive design for the admin and front store
    - Access anywhere your admin and front store

<a name="features"></a>
